"use strict";

exports.__esModule = true;
exports.logPlugin = exports.logMessage = undefined;

var _semver = require("semver");

var _semver2 = _interopRequireDefault(_semver);

var _utils = require("./utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var logMessage = exports.logMessage = function logMessage(message, context) {
  var pre = context ? `[${context}] ` : "";
  var logStr = `  ${pre}${message}`;
  console.log(logStr);
};

var logPlugin = exports.logPlugin = function logPlugin(plugin, targets, list, context) {
  var envList = list[plugin] || {};
  var filteredList = Object.keys(targets).reduce(function (a, b) {
    if (!envList[b] || _semver2.default.lt(targets[b], (0, _utils.semverify)(envList[b]))) {
      a[b] = (0, _utils.prettifyVersion)(targets[b]);
    }
    return a;
  }, {});

  logMessage(`${plugin} ${JSON.stringify(filteredList)}`, context);
};